kwrl.net
当前位置:首页 >> EClipsE 创建 mAvEn 项目 出现以下错误 在线等 麻烦了 >>

EClipsE 创建 mAvEn 项目 出现以下错误 在线等 麻烦了

在创建maven项目时,将下图选项勾上

原因就是 eclipse 内置的 maven 有个bug 无法用eclipse 的网络设置,所以无法使用代理。 解决办法,就是把自己安装一个maven ,在 conf/settings.xml 中设置代理信息。 然后让 eclipse 采用我们新安装的 maven 的设置,尤其是代理设置。 进入ecl...

若是你的远程仓库连不上的话,会有很多诡异的事情......试试这个! CN OSChina Central http://maven.oschina.net/content/groups/public/

建议你试试我经常用的命令: 1.创建项目:mvn archetype:create -DgroupId=com.test.demo -DartifactId=nltc -DarchetypeArtifactId=maven-archetype-webapp 2.mvn eclipse:eclipse -Dwtpversion=2.0

是下载仓库源的问题,使用外国的会很慢,建议换成国内的 maven安装目录下conf文件夹settings.xml 把镜像源改为阿里云的,下载jar包飞快~! alimaven central aliyun maven http://maven.aliyun.com/nexus/content/groups/public/ 完了重启eclips...

里面的gson依赖有问题 可能没法访问服务器下载 新建不了Maven项目不知道啥情况 有没有具体报错

有多种情况会导致这种报错,可以尝试以下个方法:.项目右键:maven>install

因为你建立的war类型maven项目的webapp下面没有WEB-INF和web.xml文件,所以pom.xml那一行会报错,你手动建立WEB-INF和web.xml,然后随便找一个web.xml的头尾加进去,就不会报错了。 这是eclipse的短板

在eclipse的安装目录下找到eclipse.ini 在这个文件里配置加大eclipse的占用内存 你遇到的错误应该是内存不够.

出现这个错误因为maven本地仓库中缺少maven-resource-plugin:2.6这个相应的依赖文件。解决方法如下: 1、在eclipse中找到maven项目下的pom.xml文件打开,并添加下图红框中的内容。 2、打开dos命令控制台,进入到maven项目的目录(包含有pom.xml...

网站首页 | 网站地图
All rights reserved Powered by www.kwrl.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com